using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ChamChat
{
    // Hard coded system properties. 


    public static class Interfaces
    {
        public static List<Interface> GetAll()
        {
            List<Interface> result = new List<Interface>();


            Interface intFace;

            // Add known device 
            intFace = new FDTI_USB_COM422("USB_RS422_MOD_1");
            if (intFace.Open())
                result.Add(intFace);

            
            // Add known device 
            intFace = new FDTI_USB_COM422("USB_RS422_MOD_2");
            if (intFace.Open())
                result.Add(intFace);


            // Add known device 
            intFace = new FDTI_USB_COM422("USB_RS422_WE_1");
            if (intFace.Open())
                result.Add(intFace);


            // Add known device 
            intFace = new FDTI_USB_COM485("USB_RS485_MOD_1");
            if (intFace.Open())
                result.Add(intFace);

            // Add known device 
            intFace = new FDTI_USB_RS232("USB_RS232_WE_1");
            if (intFace.Open())
                result.Add(intFace);

            return result;
        }
    }
}
